package com.nisum.ecomservice.config;


import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;

@NoArgsConstructor
public class AppConfig {

    @Autowired
    private static Environment env;

    private static String orderManagementUrl=env.getProperty("orders.apiUrl");

    private static String productsManagementUrl=env.getProperty("products.apiUrl");

    private static String promoManagementUrl=env.getProperty("promos.apiUrl");

    public static String getOrderManagementUrl() {
        return orderManagementUrl;
    }

    public static String getProductsManagementUrl() {
        return productsManagementUrl;
    }

    public static String getPromoManagementUrl() {
        return promoManagementUrl;
    }
}
